> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Haltresume

<ResponseExample>
  ```json 응답 (200 OK) theme={null}
  {}
  ```

  ```json 응답 (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "유효하지 않거나 누락된 인증 토큰입니다"
      }
    ]
  }
  ```

  ```json 응답 (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "지정한 매개변수에 대한 데이터를 찾을 수 없습니다"
      }
    ]
  }
  ```

  ```json 응답 (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "요청을 처리하는 동안 예기치 않은 오류가 발생했습니다"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ko/openapi/calendar-api.spec.yml GET /api/v1/signal/halt_resume
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/signal/halt_resume:
    get:
      tags:
        - Halt Resume
      summary: HaltResume V1
      description: >-
        يُرجِع معلومات حول إيقاف واستئناف التداول للأوراق المالية، بما في ذلك
        أسباب الإيقاف وأوقات الاستئناف المتوقعة
      operationId: get-halt-resume-v1
      parameters:
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية،
            تكون قيم إزاحة الصفحة محصورة بين 0 و100000. يمكنك تقييد نتائج
            الاستعلام باستخدام معلمات أخرى مثل التاريخ. القيمة الافتراضية هي 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: 'عدد النتائج المُعادة. الحد الأقصى: 1000'
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: تاريخ البدء بتنسيق YYYY-MM-DD
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: تاريخ الانتهاء بتنسيق YYYY-MM-DD
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: رمز تداول واحد أو أكثر، تفصل بينها فاصلة. الحد الأقصى 50 رمز تداول
          in: query
          name: tickers
          schema:
            type: string
            format: csv
        - description: >-
            الطابع الزمني Unix (بتوقيت UTC) لآخر تحديث للسجلات. سيُجبِر هذا خيار
            الفرز على أن يكون أكبر من أو يساوي الطابع الزمني المحدَّد
          in: query
          name: updated
          schema:
            type: integer
      responses:
        '200':
          description: إيقاف واستئناف
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.HaltResume'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ خادم داخلي
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.HaltResume:
      properties:
        count:
          example: 1
          type: integer
        cusip:
          example: 88160R101
          type: string
        date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        description:
          example: Trading halted due to news pending
          type: string
        exchange:
          example: NASDAQ
          type: string
        halt_type:
          example: News Pending
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5b3
          type: string
        importance:
          example: 4
          type: integer
        isin:
          example: US88160R1014
          type: string
        name:
          example: Tesla Inc.
          type: string
        ticker:
          example: TSLA
          type: string
        time:
          example: '14:25:00'
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````